// -*- C++ -*-
// File: RuSMSRsc.h
//
// Created: Fri Nov 17 15:11:02 2000
//
// $Id: RuSMSRsc.h,v 1.1.1.1 2002/07/17 12:47:33 oskin Exp $
//

#ifndef _RUSMSRSC_H_
#define _RUSMSRSC_H_ 1

#define APPID 'uSMS'

#define MainForm    1000
# define MainForm_PortLabel  1001
# define MainForm_PortPopup  1002
#  define MainForm_PortList  1003
# define MainForm_SmscLabel  1004
# define MainForm_SmscPopup  1005
#  define MainForm_SmscList  1006
# define MainForm_PhoneLabel 1007
# define MainForm_PhoneEntry 1008
# define MainForm_ImCheck    1019
# define MainForm_RusCheck   1010
# define MainForm_TextLabel  1011
# define MainForm_TextEntry  1012
# define MainForm_SendButton 1013
# define MainForm_ClearButton 1014
# define MainForm_TextLen    1015
# define MainForm_ReplCheck  1016
# define MainForm_PhoneScrollBar 1017
# define MainForm_TextScrollBar 1018

#define evtMainFormPhoneScrollUpdateEvent 0x6000
#define evtMainFormTextLenUpdateEvent     0x6001
#define evtMainFormSmscListUpdateEvent    0x6002
#define evtSmscRefFormSmscListUpdateEvent 0x6003
#define evtMainFormPhoneScrollableUpdateEvent 0x6004
#define evtMainFormInsertTextEvent 0x6005

#define InfoForm 1100
# define BitmapIcon 1101
# define BitmapPalm 1102
# define InfoFormOkButton 1103

#define MainMenu 1200
# define MainMenu_Ref    1201
# define MainMenu_About  1202
# define MainMenu_Undo   1203
# define MainMenu_Cut    1204
# define MainMenu_Copy   1205
# define MainMenu_Paste  1206
# define MainMenu_SelAll 1207
# define MainMenu_Keyb   1208
# define MainMenu_Graf   1209
# define MainMenu_SaveSms 1210
# define MainMenu_PhoneLookup 1211
# define MainMenu_InsertSms 1212

#define RefForm	1300
# define RefForm_ModemSetup	1301
# define RefForm_EncPopup	1302
# define RefForm_EncList	1303
# define RefForm_NoWarn	    1304
# define RefForm_EditButton	1305
# define RefForm_DelButton	1306
# define RefForm_OkButton	1307
# define RefForm_CancelButton	1308
# define RefForm_TimeoutLabel	1309
# define RefForm_TimeoutLabel2	1310
# define RefForm_TimeoutEntry	1311
# define RefForm_StartWaitLabel	1312
# define RefForm_StartWaitLabel2 1313
# define RefForm_StartWaitLabel3 1314
# define RefForm_StartWaitEntry 1315
# define RefForm_StartWaitEntry2 1316
# define RefForm_AutoSave        1317
# define RefForm_CntSmsLabel     1318
# define RefForm_CntSmsEntry     1319

#define SmscRefForm             1400
# define SmscRefForm_SmscList   1401
# define SmscRefForm_DoneButton 1402
# define SmscRefForm_NewButton  1403
# define SmscRefForm_EditButton 1405
# define SmscRefForm_DelButton  1406

#define SmscEditForm		1500
# define SmscEditForm_Name		1501
# define SmscEditForm_Phone		1502
# define SmscEditForm_UCS2Check 1503
# define SmscEditForm_ReplCheck 1504
# define SmscEditForm_OkButton	1520
# define SmscEditForm_CancelButton	1521

#define SmscEditMenu 1500
# define SmscEditMenu_Undo   1603
# define SmscEditMenu_Cut    1604
# define SmscEditMenu_Copy   1605
# define SmscEditMenu_Paste  1606
# define SmscEditMenu_SelAll 1607
# define SmscEditMenu_Keyb   1608
# define SmscEditMenu_Graf   1609

#define SmscDel			1700
#define ErrorAlert		1701
#define FatalErrorAlert	1702
#define WarnAlert       1703
#define BadPhoneAlert   1704
#define MoreSmsAlert    1705

#define SaveSmsForm             1800
# define SaveSmsForm_SmsList    1801
# define SaveSmsForm_DoneButton 1802
# define SaveSmsForm_NewButton  1803
# define SaveSmsForm_EditButton 1805
# define SaveSmsForm_DelButton  1806
# define SaveSmsForm_CancelButton  1807

#define errAlreadyShow 0x8001
#define errModemError 0x8002
#define errModemErrMsg 0x8003

#define strDefault	100
#define strEdit		101

#define strNoROMVersion	102
#define strHaveOS30	103
#define strNoSerialLib	104
#define strNoAddrBook	105
#define strErrAddrBook	106
#define strNameEmpty	107
#define strPhoneIsEmpty	108
#define strPhoneIsBad	109
#define strSMSCExist	110

#define strOpenModem	111
#define strInitModem	112
#define strRestModem	113
#define strSendSMS	114
#define strWaitResp	115
#define strDone		116
#define strCanceled	117
#define strModemErr	118
#define strModemCmdErr	119
#define strSetCMEE	120
#define strRestCMEE	121
#define strSetCMGF	122
#define strRestCMGF	123
#define strSetCSMS	124
#define strRestCSMS	125
#define strNoPh2plus	126

#define strNoUCS2   127
#define strNoRepl   128

#define strBadTimeout 129
#define strBadSWait   130

#endif /* _RUSMSRSC_H_ */
