// -*- C++ -*-
// File: encoding.h
//
// Created: Sat Mar 17 20:39:08 2001
//
// $Id: encoding.h,v 1.1.1.1 2002/07/17 12:47:33 oskin Exp $
//
#ifndef _ENCODING_H_
#define _ENCODING_H_

#define EncNamesLen 5
extern Char *EncNames[EncNamesLen];

typedef struct {
	UInt8 loc:4;
	UInt8 enc:4;
} EncType;

enum EncEnum {
	EncCP1251 =0,
	EncKOI8R,
    EncCP866,
	EncMAC,
	EncISO
};

enum LocEnum {
	LocNone    =0,
	LocCyrHack,
	LocPaPiRus,
	LocPiLoc
};

typedef unsigned char UChar;

extern EncType GetEnc(void);
extern void TestEnc(void);
extern void SetEnc(UInt8 loc, UInt8 enc);
extern UChar ToKOI8R(UChar c, EncType srcenc);

#endif /* _ENCODING_H_ */
